## LassoSaml2AuthnContext LassoSaml2AuthnContext — <saml2:AuthnContext> |

## Functions

LassoNode * | lasso_saml2_authn_context_new ()

## Types and Values

struct | LassoSaml2AuthnContext

## Description

Figure 51. Schema fragment for saml2:AuthnContext

    <complexType name="AuthnContextType">
      <sequence>
        <choice>
          <sequence>
            <element ref="saml:AuthnContextClassRef"/>
            <choice minOccurs="0">
              <element ref="saml:AuthnContextDecl"/>
              <element ref="saml:AuthnContextDeclRef"/>
            </choice>
          </sequence>
          <choice>
            <element ref="saml:AuthnContextDecl"/>
            <element ref="saml:AuthnContextDeclRef"/>
          </choice>
        </choice>
        <element ref="saml:AuthenticatingAuthority" minOccurs="0" maxOccurs="unbounded"/>
      </sequence>
    </complexType>

## Functions

### lasso_saml2_authn_context_new ()

    LassoNode *
    lasso_saml2_authn_context_new (void);

Creates a new LassoSaml2AuthnContext object.

#### Returns

a newly created LassoSaml2AuthnContext object

## Types and Values

### struct LassoSaml2AuthnContext

    struct LassoSaml2AuthnContext {
    	LassoNode parent;

    	/* elements */
    	char *AuthnContextClassRef;
    	/* XXX */ void *AuthnContextDecl;
    	char *AuthnContextDeclRef;
    	char *AuthenticatingAuthority;
    };